import 'package:flutter_test/flutter_test.dart';
import 'package:garden_planner/entities/beet.dart';

void main() {
  test('Beet entity Add new Row Test', () {
    // Arrange
    final beet = Beet();
    // Act
    beet.addNewRow();
    // Assert
    expect(beet.beetRows.length, equals(2),
        reason: 'beetrows count should be 1');
  });

  test('Beet entity Test', () {
    // Arrange
    final beet = Beet();
    // Assert
    //new Beet creats every times the first row
    expect(beet.beetRows.length, equals(1),
        reason: 'beetrows count should be 1');
  });
}
